<?php

namespace loyalsoft;

use Attribute;

/**
 * Description of UserShopInfoModel
 * 商城相关数据
 * @author Administrator
 */
class Info_UserShop extends Object_ext {
    //put your code here

    /**
     * 已购每日礼包集合
     * @var []
     */
    #[ArrayType]
    public $purchasedDailyLimitPackages = array();

    /**
     * 已购每周礼包集合
     * @var []
     */
    #[ArrayType]
    public $purchasedWeeklyLimitPackages = array();

    /**
     * 已购每月礼包集合
     * @var []
     */
    #[ArrayType]
    public $purchasedMonthlyLimitPackages = array();

    /**
     * @var int 普通月卡购买时间戳
     */
    public $monthlyVIP1_ts = 0;

    /**
     * @var int 至尊月卡购买时间戳
     */
    public $monthlyVIP2_ts = 0;

    /**
     * 每日特惠礼包领取记录
     * @var type
     */
    #[ArrayType]
    public $daliySpecialPackages = array();

    /**
     * 重置每日特惠时间
     * @var type
     */
    public $daliySpecialClear_ts = 0;

    /**
     * 每日特惠卡周卡开始时间
     * @var type
     */
    public $daliySpecial_ts = 0;

    /*
     * 充值返利奖品记录
     */

    #[ArrayType]
    public $rechargeRebateRewardsList = array();

    /*
     * 限时活动--礼包领取记录
     */

    #[ArrayType]
    public $limitTsRewardsList = array();

    /**
     * 充值功能里记录充值金额,每种不同的金额都有一次首充,所以要做记录
     * @var type
     */
    #[ArrayType]
    public $rechargeRecordList = array();

    /**
     * @var int/ins_Accumulate 商城累充功能数据
     */
    public $shopAccumulateData = 0;
    
    /**
     * 
     * @var type
     */
    public $fRechargeTime;
    
    /**
     * 首充记录
     * @var type
     */
    public $fRechargeRecord;
    
    /**
     * 每天累计金额统计数值
     * @var type 
     */
    public $dayRechargeAmt = 0;

    /**
     * 每周累计金额统计数值
     * @var type 
     */
    public $weekRechargeAmt = 0;

    /**
     * 每天累计奖励领取记录
     * @var type 
     */
    #[ArrayType]
    public $dayRechargeReceived = array();

    /**
     * 每周累计奖励领取记录
     * @var type 
     */
    #[ArrayType]
    public $weekRechargeReceived = array();

    /**
     * 终身礼包购买记录
     * @var type 
     */
    #[ArrayType]
    public $lifelongGiftReceived = array();
    
    /**
     * 套装礼包购买记录
     * @var type 
     */
    public $suitGiftStartTs = 0;
    
    /**
     * 套装礼包购买记录
     * @var type 
     */
    #[ArrayType]
    public $suitGiftReceived = array();
    
    /**
     * 
     */
    public function __construct($args = null) {    
        if($args == null){
            $this->fRechargeTime = new \stdClass();
            $this->fRechargeRecord = new \stdClass();
        } else {
            parent::__construct($args);   
        }                    
    }
}
